package com.xinyilu.system.domain.vo.testItemAvgScore;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

/**
 * @author ljh
 * @version 1.0
 * Create by 2022/11/28 14:06
 */
@Data
public class ThisActionDevelopmentVO implements Serializable {
    private static final long serialVersionUID = 7291948100534266827L;


    /**
     * 测试项目分类表id
     */
    private Long itemCategoryId;

    /**
     * 项目分类名
     */
    private String categoryName;

    /**
     * 项目总分
     */
    private BigDecimal itemScoreAll;

    /**
     * 测试成绩得分
     */
    private BigDecimal itemFraction;

    /**
     * 测试项目名称
     */
    private String itemName;

    /**
     * 测试项目id
     */
    private Long itemId;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ThisActionDevelopmentVO scoreVO = (ThisActionDevelopmentVO) o;
        return Objects.equals(itemId, scoreVO.itemId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(itemId);
    }
}
